# Class BuilderElement<T>

#### Type Parameters

- #### T extends AttributeData

#### Hierarchy

- XmlComponent
  - BuilderElement

- Defined in src/file/xml-components/simple-elements.ts:84

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml

## Constructors

### constructor

- new BuilderElement<T>(options): BuilderElement<T>

- #### Type Parameters

  - #### T extends AttributeData

  #### Parameters

  - ##### options: {
    attributes?: AttributePayload<T>;
    children?: readonly XmlComponent[];
    name: string;
    }

    - ##### `Optional` `Readonly` attributes?: AttributePayload<T>

    - ##### `Optional` `Readonly` children?: readonly XmlComponent[]

    - ##### `Readonly` name: string

  #### Returns BuilderElement<T>

  Overrides XmlComponent.constructor

  - Defined in src/file/xml-components/simple-elements.ts:85

## Methods

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from XmlComponent.addChildElement

  - Defined in src/file/xml-components/xml-component.ts:45

### prepForXml

- prepForXml(context): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from XmlComponent.prepForXml

  - Defined in src/file/xml-components/xml-component.ts:20

Generated using TypeDoc